﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Security;
using Games.Web.Models.Account;

namespace Games.Web.Controllers
{
    public class AccountController : Controller
    {
        [HttpGet]
        public ActionResult Login(string returnUrl)
        {          
            return View(new LoginViewModel { ReturnUrl = returnUrl });
        }


        [HttpPost]
        public ActionResult Login(LoginViewModel loginData)
        {
            if (ModelState.IsValid)
            {
                FormsAuthentication.SetAuthCookie(loginData.UserName, loginData.RememberMe);

                if (!String.IsNullOrEmpty(loginData.ReturnUrl))
                {
                    return Redirect(loginData.ReturnUrl);
                }

                return RedirectToAction("Index", "Games");
            }

            return View(loginData);
        }

        
        public ActionResult Logout()
        {
            FormsAuthentication.SignOut();

            return RedirectToAction("Index", "Games");
        }


        public PartialViewResult LoginHeaderPartial()
        {
            if (User.Identity.IsAuthenticated)
            {
                return PartialView("_LoginHeaderAuthenticated");
            }

            return PartialView("_LoginHeaderNotAuthenticated");
        }
    }
}